Package commoble.jumbofurnace.advancements

# Class AssembleJumboFurnaceTrigger

java.lang.Object
net.minecraft.advancements.critereon.SimpleCriterionTrigger<AssembleJumboFurnaceTrigger.AssembleJumboFurnaceCriterion>
commoble.jumbofurnace.advancements.AssembleJumboFurnaceTrigger

All Implemented Interfaces:
  `net.minecraft.advancements.CriterionTrigger<AssembleJumboFurnaceTrigger.AssembleJumboFurnaceCriterion>`

public class AssembleJumboFurnaceTrigger extends net.minecraft.advancements.critereon.SimpleCriterionTrigger<AssembleJumboFurnaceTrigger.AssembleJumboFurnaceCriterion>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AssembleJumboFurnaceTrigger.AssembleJumboFurnaceCriterion`

## Nested classes/interfaces inherited from interface net.minecraft.advancements.CriterionTrigger

`net.minecraft.advancements.CriterionTrigger.Listener<T extends net.minecraft.advancements.CriterionTriggerInstance>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceLocation`
`ID`
`static final AssembleJumboFurnaceTrigger`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`AssembleJumboFurnaceTrigger()`

## Method Summary

Modifier and Type
Method
Description
`protected AssembleJumboFurnaceTrigger.AssembleJumboFurnaceCriterion`
`createInstance(com.google.gson.JsonObject json, net.minecraft.advancements.critereon.ContextAwarePredicate predicate, net.minecraft.advancements.critereon.DeserializationContext conditionsParser)`
`net.minecraft.resources.ResourceLocation`
`getId()`
`void`
`trigger(net.minecraft.server.level.ServerPlayer player)`

### Methods inherited from class net.minecraft.advancements.critereon.SimpleCriterionTrigger

`addPlayerListener, createInstance, removePlayerListener, removePlayerListeners, trigger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ID

public static final net.minecraft.resources.ResourceLocation ID

### INSTANCE

public static final AssembleJumboFurnaceTrigger INSTANCE

## Constructor Details

### AssembleJumboFurnaceTrigger

public AssembleJumboFurnaceTrigger()

## Method Details

### getId

public net.minecraft.resources.ResourceLocation getId()

### createInstance

protected AssembleJumboFurnaceTrigger.AssembleJumboFurnaceCriterion createInstance(com.google.gson.JsonObject json, net.minecraft.advancements.critereon.ContextAwarePredicate predicate, net.minecraft.advancements.critereon.DeserializationContext conditionsParser)

Specified by:
  `createInstance` in class `net.minecraft.advancements.critereon.SimpleCriterionTrigger<AssembleJumboFurnaceTrigger.AssembleJumboFurnaceCriterion>`

### trigger

public void trigger(net.minecraft.server.level.ServerPlayer player)